Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009176Dwarf FortressDwarf Mode -- Reclaimpublic2015-12-02 16:272018-01-23 13:11
ReporterHedede 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityalways
StatusacknowledgedResolutionreopened 
PlatformOSOS Version
Product Version0.42.01 
Target VersionFixed in Version 
Summary0009176: Lots of 'other' units appear after retiring fortress (merchants/pack animals/now hostile visitors)
DescriptionAfter retiring and unretiring a fortress, I saw lots of units scattered everywhere.
Among them were merchants and pack animals. Most of units listed as 'Hostile', but don't attack and don't do anything at all.

I did same thing with few other forts. There were about 20 units in a new fort, and 200 in fort copied from 40.24.

Even more units appear when I visit retired fortress with an adventurer.
Additional InformationIt seems to happen when there's an active tavern (don't know about temples/libraries) when fort is being retired.
Tagsretire, retire fort, visitors
Attached Files

- Relationships
related to 0008147acknowledgedDwarfu Retire with caravan present --> live wagons scattered around site 
has duplicate 0009393resolvedDwarfu Upon Unretiring a fort with visitors/long-term residents, all are set as Hostile in the units menu 
has duplicate 0009298resolvedDwarfu unretiring a fort with visitors flags them as hostile in unit list. 
has duplicate 0009212resolvedDwarfu Performers/Mercenaries stop being listed as citizens after retiring the fort 
has duplicate 0009404resolvedDwarfu Retiring a fort floods it with former merchant caravan personnel 
has duplicate 0009337resolvedDwarfu Part of fort goes hostile after unretirement 
has duplicate 0009339resolvedDwarfu Broken visitors on reclaim 
has duplicate 0009462resolvedlethosor Related to 9176, Issue of merchants appearing when fort retired seems to remain 
has duplicate 0010152resolvedLoci Visitors become hostile on abandon/reclaim 
has duplicate 0010690resolvedLoci Reclaimed fortress, many hostile guests and other strange behaviors. 

-  Notes
(0033337)
Hedede (reporter)
2015-12-03 06:18

Way to observe the bug:
- Load save http://dffd.bay12games.com/file.php?id=11331 [^] (region1)
- Look at unit list
- Retire the fortress
- Unretire the fortress
- Look at unit list
Can be repeated multiple times, each time there will be more 'hostile' units than the previous time.

If you start an adventuer and come to fort's location, you can also find merchants and their pack animals.
(0033338)
Hedede (reporter)
2015-12-03 06:21

It seems to me that visitors, who come to the fortress while it is retired, don't ever leave the place.
(0033359)
uristmcbughunter (reporter)
2015-12-03 20:21

Confirming. There's an army of merchants from various caravans from various seasons (way beyond the couple weeks the fort was retired for) - elves, dwarves, humans in big numbers. They tend to stay in one place and do absolutely nothing, be it in the middle of the fort or down in the caverns. In addition there's a whole ton of deceased wagons in the unit list.

Also, all the tavern visitors appear as "Hostile" in the unit list, although don't seem to start trouble.

Screenshots: https://imgur.com/a/wmLd6 [^]
Save: http://dffd.bay12games.com/file.php?id=11357 [^]
(0033546)
Jixijenga (reporter)
2015-12-06 19:01
edited on: 2015-12-07 10:53

I can confirm this as well, I recall this being around in the previous version too.

I just avoided the issue back then. Currently my most recent fort's behavior was identical to both the posted files, though I did have a rather unhappy adventurer go beserk in my tavern.

EDIT: Here is my save detailing this bug: http://dffd.bay12games.com/download.php?id=11407&f=region1-OddNobleMiscBugs.zip [^]

(0033721)
Hedede (reporter)
2015-12-10 09:07

Also might be related to 0008147.
(0034071)
Glloyd (reporter)
2015-12-20 08:47

This just happened to me, complete with live wagons and whatnot. When I retired my fortress had about 40 visitors, when I came back two weeks later there were over 300 units in the other screen, most of them random merchants and pack animals. It made looking at stocks a pain because all the caravan items were listed there, but the caravans still showed up as normal.
(0034145)
Dwarfu (manager)
2015-12-22 18:23

Saves from 0009212:
http://dffd.bay12games.com/file.php?id=11362 [^]
http://dffd.bay12games.com/download.php?id=11407&f=region1-OddNobleMiscBugs.zip [^]
(0034146)
Dwarfu (manager)
2015-12-22 18:25

Saves from 0009404:

Pre retire
http://dffd.bay12games.com/file.php?id=11533 [^]

Post retire
http://dffd.bay12games.com/file.php?id=11534 [^]
(0034406)
lethosor (manager)
2016-01-12 03:49

Reopening per 0009462
(0034408)
Shonai_Dweller (reporter)
2016-01-12 05:08
edited on: 2016-01-12 05:14

Save showing bug still present in 42.04

Started fortress in 42.04. Retired, played adventurer, retired adventurer at fortress. Unretired fortress.

Taffer tileset. No mods except adding [CANOPENDOORS] for gorlaks which shouldn't effect this.

Explosion of visitors (was three at time of retire).
About half of the visitors are marked as hostile.
A group of merchants has joined the citizen list (but cannot be assigned labours or occupations).
I can't see any wagons around, but reading the merchants thoughts reveals some of them 'didn't feel anything after seeing the wagon die'.
Several wagons are listed as 'missing'

Save:
http://dffd.bay12games.com/file.php?id=11647 [^]

(0034415)
Walkabout (reporter)
2016-01-13 12:21
edited on: 2016-01-14 06:45

Below is another save that should demonstrate the issue, at a point just before retirement of the fortress. World was generated and played in 42.04.

http://dffd.bay12games.com/file.php?id=11654 [^]

Ironhand tileset, no mods except to remove the [ADOPTS_OWNER] tag from cats.

Just retire the fortress, then make an adventurer who is part of the dwarven civ called "The Mighty Works", and starts in the fortress called Wisecanyons. Wander the site a bit, and you should come across merchants, pack animals with equipment still on them, and some live wagons.

You can probably see this by retiring and then just reclaiming the fortress, but I usually make the adventurer and run into the issue. As stated above, visitors are often listed as hostile when the fort is reclaimed, and so on.

(0034683)
Witty (reporter)
2016-02-16 12:39

Not exactly the exact same issue, but I believe they are very much related.

I recently reclaimed a fort (after initially giving into a siege), and I'm noticing that some visitors that arrive now are marked as hostile. The game will report them as an ambush. The hostile visitors won't path to the fort, but will engage soldiers in combat. I don't have a save demonstrating this issue as of now, but I will try to post one later if the issue happens again. So far it has occurred twice.

This never occurred prior to the reclaim, so I'm thinking the issues are related to that. Also, the hostile visitors don't seem to be members of any particular civilization (one was a macedwarf, the other was a human poet), so I don't think it is related to any civ wars either.
(0034974)
Robsoie (reporter)
2016-04-03 19:46
edited on: 2016-04-03 19:47

That very bad bug is still present in 42.06

I was running a 2X2 fortress, with a mix of methods ( 100 max pop, atom smashing nearly every items, quantum stockpile, not digging to the caverns etc... ) despite the fortress was relatively long lived it went on for years with a framerate at +/- 60 fps , allowing time and dwarves to still move fast and so making the game still enjoyable and responsive.

I decided to toy around the adventure mode to retire temporarly my fort and go visit it in adventure mode.
When i got there, it was incredibly slow, near unplayable, so i didn't stayed much longer and went to retire the adventurer.

I then unretired my fort and noticed it was incredibly slow there too, less than 10 fps (from the constant 60 i had when playing)
I looked around and found what was the very likely reason :
http://i.imgur.com/3CLbDAL.gif [^]

on the 177 listed at other, there are +/- 170 merchants that are "hostile" (but not hostile at all in fact, probably the other bug with hostile creature not being hostile at all on the map)
And worse, my max pop was 100, and those 94 additional pop that came out of nowhere is made of more useless merchants.

Every of those stuff destroying obviously the game framerate, making it unplayably slow while it was running very fast and smooth before the retire-unretiring.

save available there :
http://dffd.bay12games.com/file.php?id=11913 [^]

That fortress and world was created in 42.06 too

(0035020)
Shonai_Dweller (reporter)
2016-04-17 04:20
edited on: 2016-04-22 18:01

Since this still needs feedback, I'm uploading another save from 42.06 with some additional odd behavior in visitors on un-retire. It's been about 3 years since retirement. I visited once as an adventurer.

This time there's no "hostile" visitors, which is nice but:

1) In the visitors list is a human "Captain of the Guard", a human "Hammerer" and a dwarf "Champion". Legends shows that all three of these visitors were appointed to their positions this year in the nearby Dwarf fortress of Pleatedsacks. Seems like they should be back home doing their jobs rather than hanging out at my tavern.

2) Some of my military mercenaries have reverted to the visitors list. I guess that's to be expected, but rather than leaving, they're current job is "individual combat drill". They're hanging out in the barracks as though they're still part of my military.

Edit: Ah, I was wrong. Further checking shows they actually are still part of my military. Just that they're no longer in the citizen list and presumably that means they're no longer long-term residents? Will they leave the day before a siege?

Save: http://dffd.bay12games.com/file.php?id=11957 [^]

edit 2: In this same save there's one other retired fortress which has a citizens only tavern, an open library and some temples. Unretiring reveals a bunch of military type visitors along with the expected scholars. Looking at them it says they've "Come to relax" with no location specified.
Without a visitor friendly tavern they shouldn't be coming, should they?
The first cavern layer is revealed, so I guess they could be all monster hunters which would be pretty funny.

(0035542)
Bumber (reporter)
2016-07-02 02:24
edited on: 2016-07-02 02:25

Still having this in 0.43.03, adventure mode. Looks like every caravan I'd ever had, carrying stuff I'd sold years ago.

(0035805)
keaman (reporter)
2016-08-23 20:21
edited on: 2016-08-23 20:54

Still exists in 0.43.05. Retired the Fortress after just a couple of months, visited with an adventurer, and the first-year merchants (who had left prior to retiring the fort) were back hanging around in adventure mode.

Unretired the fort, and the merchants are now (weirdly) listed on the citizens part of the units screen. Their occupation is "merchant", they cannot take labors, like they're visitors or something. They are currently dying of dehydration in the tavern (see save below). Their yaks, loaded with all the trade goods they'd previously brought, were also wandering the map.

Also weirdly, some of my starting seven had gained a whole lot of skills while the fort was retired (for like two weeks). One of my miners is now a hammerer and has a TON of performance skills, some of the others are assigned to noble positions, etc. I assume this is a relic of whatever world updates happen in Adventure Mode, but it is really weird.

Save here, merchants are the guys dehydrating in the tavern: http://dffd.bay12games.com/file.php?id=12375 [^]

Edit/Update: The dwarven-civ merchants just claimed beds in the tavern. Guess the game is treating them like long-term visitors.

(0036018)
FantasticDorf (reporter)
2016-11-01 08:50
edited on: 2016-11-01 09:41

I believe this has a relation to this bug.

0010059: Wild site animals have the same morale ethics [Kill_Enemy Neutral] as entity units if in the same local settled area - http://www.bay12games.com/dwarves/mantisbt/view.php?id=10059 [^]

I suggest that the remaining units are added to the 'non-feature site population' forcefully, then the units adopt the 'site ethics' of a reclaim site and turn its faction hostile.

Likely joining some kind of group state of the enemy who plundered it/the intended megabeast/ruin occupying force or a generic hostile marauder state, wagons are a kind of animal and also experience this as stated in the relationships, so would be egible to be listed along with sentient units as non local feature site population (cant respawn from the edges).

0008147: Retire with caravan present --> live wagons scattered around site http://www.bay12games.com/dwarves/mantisbt/view.php?id=8147 [^]

[EDIT]

Taking in site ethics/roles from entities that are occupying might be being done literally, as exampled by this FoTF reply http://www.bay12forums.com/smf/index.php?topic=159164.msg7188845#msg7188845 [^] about kobolds taking up a site (a deserted human hamlet) and adopting the native job roles.

A topic which Toady addressed in his (September 29, 2016) FoTF response : http://www.bay12forums.com/smf/index.php?topic=159164.msg7195424#msg7195424 [^]

(0036168)
Strato1 (reporter)
2017-01-12 20:49

Experiencing this in DF Vanilla 0.43.05, after unretire. Have elf/human caravans (hostile) as well as their pack animals (camels), and human/dwarf scholars (most of which are listed as hostile). When I retired the fortress, I had a library on site.
(0037696)
Encrtia (reporter)
2018-01-23 04:38
edited on: 2018-01-23 04:41

Same thing happening to me in DF 0.44.05. Able to provide more detail at a moment's notice.

Please see the following Images:

https://www.dropbox.com/s/funxe833lcxyka7/Screenshot%202018-01-23%2000.01.26.png?raw=1 [^]
https://www.dropbox.com/s/ll8hfhd2i8us72i/Screenshot%202018-01-23%2000.01.29.png?raw=1 [^]
https://www.dropbox.com/s/bc4phyvhr6eetyj/Screenshot%202018-01-23%2000.01.30.png?raw=1 [^]
https://www.dropbox.com/s/gvs0b4eixlo3c8s/Screenshot%202018-01-23%2000.01.20.png?raw=1 [^]
https://www.dropbox.com/s/phgqirx6g91hx02/Screenshot%202018-01-23%2000.01.40.png?raw=1 [^]

And the save game (retire the fort, then spawn there in adventure mode, then bring out of retirement if the lag doesn't kill you in Adventurer mode first):

https://www.dropbox.com/s/9zeilmnvtsg1ido/region6.rar?raw=1 [^]

(0037697)
Shonai_Dweller (reporter)
2018-01-23 13:11

Saves are much better off uploaded to dffd. This bug's been around a while, may possibly be around several more years. Only makes sense to upload it to the official file server which will always be available for the next 30 years of development.

http://dffd.bay12games.com [^]

- Issue History
Date Modified Username Field Change
2015-12-02 16:27 Hedede New Issue
2015-12-03 06:18 Hedede Note Added: 0033337
2015-12-03 06:21 Hedede Note Added: 0033338
2015-12-03 20:21 uristmcbughunter Note Added: 0033359
2015-12-03 20:48 uristmcbughunter Issue Monitored: uristmcbughunter
2015-12-04 02:25 Hedede Issue Monitored: Hedede
2015-12-06 19:01 Jixijenga Note Added: 0033546
2015-12-06 19:01 Jixijenga Issue Monitored: Jixijenga
2015-12-07 10:53 Jixijenga Note Edited: 0033546 View Revisions
2015-12-10 09:00 Hedede Tag Attached: Fortress Retirement
2015-12-10 09:02 Hedede Tag Attached: visitors
2015-12-10 09:05 Hedede Tag Attached: retire. retire fort
2015-12-10 09:05 Hedede Tag Detached: retire. retire fort
2015-12-10 09:05 Hedede Tag Detached: Fortress Retirement
2015-12-10 09:05 Hedede Tag Attached: retire
2015-12-10 09:06 Hedede Tag Attached: retire fort
2015-12-10 09:07 Hedede Note Added: 0033721
2015-12-20 08:47 Glloyd Note Added: 0034071
2015-12-22 18:17 Dwarfu Relationship added related to 0008147
2015-12-22 18:18 Dwarfu Summary Lots of 'other' units appear after retiring fortress => Lots of 'other' units appear after retiring fortress (merchants/pack animals/now hostile visitors)
2015-12-22 18:19 Dwarfu Relationship added has duplicate 0009393
2015-12-22 18:21 Dwarfu Relationship added has duplicate 0009298
2015-12-22 18:22 Dwarfu Relationship added has duplicate 0009212
2015-12-22 18:23 Dwarfu Note Added: 0034145
2015-12-22 18:23 Dwarfu Sticky Issue No => Yes
2015-12-22 18:23 Dwarfu Assigned To => Dwarfu
2015-12-22 18:23 Dwarfu Status new => confirmed
2015-12-22 18:25 Dwarfu Note Added: 0034146
2015-12-22 18:26 Dwarfu Relationship added has duplicate 0009404
2015-12-22 18:26 Dwarfu Relationship added has duplicate 0009337
2015-12-22 18:27 Dwarfu Relationship added has duplicate 0009339
2015-12-22 18:33 Dwarfu Issue Monitored: Glloyd
2015-12-22 18:34 Dwarfu Issue Monitored: skaltum
2015-12-22 18:34 Dwarfu Issue Monitored: Walkabout
2015-12-22 18:35 Dwarfu Issue Monitored: CptMayday
2015-12-22 18:35 Dwarfu Issue Monitored: Spiderking50
2015-12-24 13:21 Toady One Status confirmed => resolved
2015-12-24 13:21 Toady One Fixed in Version => Next Version
2015-12-24 13:21 Toady One Resolution open => fixed
2015-12-24 13:21 Toady One Assigned To Dwarfu => Toady One
2015-12-27 13:38 Dwarfu Sticky Issue Yes => No
2016-01-12 03:49 lethosor Note Added: 0034406
2016-01-12 03:49 lethosor Status resolved => needs feedback
2016-01-12 03:49 lethosor Resolution fixed => reopened
2016-01-12 03:50 lethosor Relationship added has duplicate 0009462
2016-01-12 05:08 Shonai_Dweller Note Added: 0034408
2016-01-12 05:11 Shonai_Dweller Note Edited: 0034408 View Revisions
2016-01-12 05:12 Shonai_Dweller Note Edited: 0034408 View Revisions
2016-01-12 05:14 Shonai_Dweller Note Edited: 0034408 View Revisions
2016-01-13 12:21 Walkabout Note Added: 0034415
2016-01-13 12:21 Walkabout Note Edited: 0034415 View Revisions
2016-01-14 06:45 Walkabout Note Edited: 0034415 View Revisions
2016-02-16 12:39 Witty Note Added: 0034683
2016-04-03 19:46 Robsoie Note Added: 0034974
2016-04-03 19:47 Robsoie Note Edited: 0034974 View Revisions
2016-04-17 04:20 Shonai_Dweller Note Added: 0035020
2016-04-17 04:46 Shonai_Dweller Note Edited: 0035020 View Revisions
2016-04-22 18:01 Shonai_Dweller Note Edited: 0035020 View Revisions
2016-07-02 02:24 Bumber Note Added: 0035542
2016-07-02 02:25 Bumber Note Edited: 0035542 View Revisions
2016-08-23 20:21 keaman Note Added: 0035805
2016-08-23 20:54 keaman Note Edited: 0035805 View Revisions
2016-11-01 08:50 FantasticDorf Note Added: 0036018
2016-11-01 09:41 FantasticDorf Note Edited: 0036018 View Revisions
2017-01-12 20:49 Strato1 Note Added: 0036168
2017-01-13 07:47 lethosor Status needs feedback => acknowledged
2017-01-13 07:47 lethosor Fixed in Version 0.42.04 =>
2017-01-15 15:30 Huntthetroll Issue Monitored: Huntthetroll
2017-02-27 04:46 Loci Relationship added has duplicate 0010152
2018-01-23 04:38 Encrtia Note Added: 0037696
2018-01-23 04:41 Encrtia Note Edited: 0037696 View Revisions
2018-01-23 13:11 Shonai_Dweller Note Added: 0037697
2018-04-03 14:25 Loci Relationship added has duplicate 0010690


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker